package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.MonitorBean;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class MesMonitorAdapter extends BaseQuickAdapter<MonitorBean.ListBean, BaseViewHolder> {
    public MesMonitorAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, MonitorBean.ListBean item) {
        helper.setText(R.id.tv_title, String.format("测点名称:%s",item.getName()));
        helper.setText(R.id.tv_machine, item.getAssetDesc());
        helper.setText(R.id.tv_location, item.getLocaDesc());
    }

}

